GEThttps://api.breeze.blue/v1/entitlements

Get account entitlements

Get the current plan code and generation concurrency limits.

Authentication

API key: Send your Breeze Developer API key with the xi-api-key header.

Headers

FieldTypeDescription
xi-api-keyrequiredstringYour Breeze Developer API key. See authentication.

Example request

python import os import requests response = requests.get( "https://api.breeze.blue/v1/entitlements", headers={ "xi-api-key": os.environ["BREEZE_API_KEY"] }, ) response.raise_for_status() print(response.json()) typescript const response = await fetch("https://api.breeze.blue/v1/entitlements", { method: "GET", headers: { "xi-api-key": process.env.BREEZE_API_KEY!, }, }); if (!response.ok) { throw new Error("Request failed: " + response.status); } console.log(await response.json()); curl curl "https://api.breeze.blue/v1/entitlements" \ -H "xi-api-key: $BREEZE_API_KEY"
import os
import requests

response = requests.get(
    "https://api.breeze.blue/v1/entitlements",
    headers={ "xi-api-key": os.environ["BREEZE_API_KEY"] },
)
response.raise_for_status()

print(response.json())

Response

Account entitlements.

Content types: application/json

Response headers:

  • x-breeze-api-key-id: Public API key identifier used to authenticate the request, when an API key was used.
{
  "plan_code": "string",
  "max_concurrent_generations": 1,
  "max_queued_generations": 1
}